Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib.definition
Class InitContainerTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.tiles.jsp.taglib.TilesBodyTag
                  org.apache.tiles.jsp.taglib.definition.InitContainerTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Deprecated. Don't use it, to initialize Tiles use `TilesInitializer` and the various ways to initialize Tiles, like `TilesServlet`.

    @Deprecated
    public class InitContainerTag

extends TilesBodyTag

Init definitions impl.

Version:
  $Rev: 797765 $ $Date: 2009-07-25 15:20:26 +0200 (sab, 25 lug 2009) $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `InitContainerTag.RuntimeConfiguredContext` Deprecated. A servlet context created "on the fly" for container initialization.

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InitContainerTag()` Deprecated.

Method Summary
`int` | `doEndTag()` Deprecated.
`int` | `doStartTag()` Deprecated.
`java.lang.String` | `getContainerFactory()` Deprecated. Returns the container factory class name.
`java.lang.String` | `getContainerKey()` Deprecated. Returns the key under which the container will be stored.
`protected void` | `reset()` Deprecated. Release any per-invocation resources, resetting any resources or state that should be cleared between successive invocations of `Tag.doEndTag()` and `Tag.doStartTag()`.
`void` | `setContainerFactory(java.lang.String containerFactory)` Deprecated. Sets the container factory class name.
`void` | `setContainerKey(java.lang.String containerKey)` Deprecated. Sets the key under which the container will be stored.

Methods inherited from class org.apache.tiles.jsp.taglib.TilesBodyTag
`doCatch, doFinally, release`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### InitContainerTag

    public InitContainerTag()

  Deprecated.

Method Detail

### getContainerFactory

    public java.lang.String getContainerFactory()

  Deprecated.
  Returns the container factory class name.

  Returns:
    The container factory class name.

### setContainerFactory

    public void setContainerFactory(java.lang.String containerFactory)

  Deprecated.
  Sets the container factory class name.

  Parameters:
    `containerFactory` - The container factory class name.

### getContainerKey

    public java.lang.String getContainerKey()

  Deprecated.
  Returns the key under which the container will be stored.

  Returns:
    the containerKey The container key.
  Since:
    2.1.0

### setContainerKey

    public void setContainerKey(java.lang.String containerKey)

  Deprecated.
  Sets the key under which the container will be stored.

  Parameters:
    `containerKey` - the containerKey The container key.
  Since:
    2.1.0

### reset

    protected void reset()

  Deprecated.
  Release any per-invocation resources, resetting any resources or state that should be cleared between successive invocations of `Tag.doEndTag()` and `Tag.doStartTag()`.

  Overrides:
    `reset` in class `TilesBodyTag`

### doStartTag

    public int doStartTag()

  Deprecated.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### doEndTag

    public int doEndTag()

  Deprecated.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.